One Trading API
REST API
WebSocket API
REST API
WebSocket API
  1. Public
  • Public
    • Currencies
      GET
    • Instruments
      GET
    • Candlesticks
      GET
    • Fee Groups
      GET
    • Order Book
      GET
    • Market Ticker
      GET
    • Market Ticker For Instrument
      GET
    • Time
      GET
  • Trading
    • Get Orders
      GET
    • Create Order
      POST
    • Get Order by Client ID
      GET
    • Get Order by Order ID
      GET
    • Balances
      GET
    • Subaccounts
      GET
    • Fees
      GET
    • Get Trades for Order
      GET
    • Get Trade by Trade ID
      GET
    • Get Trades
      GET
    • Cancel All Orders
      DELETE
    • Cancel Order by Order ID
      DELETE
    • Cancel Order by Client ID
      DELETE
  • Futures
    • Introduction
    • Funding Rate Methodology
    • Funding Payments
      GET
    • Positions
      GET
    • Position Funding Payments
      GET
    • Funding Rate Settings
      GET
    • Get Futures Open Positions
      GET
    • Futures Portfolio Summary
      GET
    • Current Funding Rate
      GET
    • Funding Rate History
      GET
    • Funding Schedule
      GET
  • Funding
    • Transfer Subaccount Balance
      POST
    • Get Transactions
      GET
  1. Public

Market Ticker For Instrument

GET
https://api.onetrading.com/fast/v1/market-ticker/{instrument_code}
Get market statistics on a single market. Only markets in state ACTIVE, POST_ONLY or SUSPENDED are available; the statistics are calculated as for the all-markets ticker. Ticker data is cached and may be up to a minute old.

Request

Path Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Bad Request
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.onetrading.com/fast/v1/market-ticker/BTC_EUR'
Response Response Example
200 - Success
{
    "base_volume": "0.90000",
    "high": "100000.00",
    "highest_bid": "99950.00",
    "instrument_code": "BTC_USDC",
    "last_price": "100000.00",
    "low": "99000.00",
    "lowest_ask": "100050.00",
    "price_change_percentage": "1.01",
    "price_change": "1000.00",
    "quote_volume": "89550.00",
    "sequence": 1731326923439826000,
    "state": "ACTIVE",
    "type": "SPOT",
    "global_volume": "41234567890.12"
}
Previous
Market Ticker
Next
Time
Built with